package com.demo.csjbot.csjsdkdemo;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;

import com.csjbot.coshandler.core.CsjRobot;
import com.demo.csjbot.csjsdkdemo.future.ActionActivity;
import com.demo.csjbot.csjsdkdemo.future.AsrNlpActivity;
import com.demo.csjbot.csjsdkdemo.future.BaseActivity;
import com.demo.csjbot.csjsdkdemo.future.FaceDemoActivity;
import com.demo.csjbot.csjsdkdemo.future.InfoAndSensorActivity;
import com.demo.csjbot.csjsdkdemo.future.SlamDemoActivity;


public class MainActivity extends BaseActivity {
    CsjRobot mCsjBot;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        mCsjBot = CsjRobot.getInstance();
    }

    public void openASrNlpPage(View view) {
        startActivity(new Intent(this, AsrNlpActivity.class));
    }

    public void openSlamDemo(View view) {
        startActivity(new Intent(this, SlamDemoActivity.class));
    }

    public void openFaceDemo(View view) {
        startActivity(new Intent(this, FaceDemoActivity.class));
    }

    public void openAction(View view) {
        startActivity(new Intent(this, ActionActivity.class));
    }

    public void openInfo(View view) {
        startActivity(new Intent(this, InfoAndSensorActivity.class));
    }
}
